> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put forumssystem

> Updates the identified forum with the given forum data value.

*This operation is intended for management of multiple forums used by multiple accounts.
The requestor must be the SystemAdmin, or a AuthorizationException is thrown.*

This operation requires a Update Forum Data value.

This operation returns a Update Forum Data value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml put /forums/system
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /forums/system:
    put:
      tags:
        - ForumService
      description: >-
        Updates the identified forum with the given forum data value.


        *This operation is intended for management of multiple forums used by
        multiple accounts.

        The requestor must be the SystemAdmin, or a AuthorizationException is
        thrown.*


        This operation requires a Update Forum Data value.


        This operation returns a Update Forum Data value.
      operationId: updateForum
      parameters: []
      requestBody:
        description: UpdateForumData value
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  description: ...
                  allowSelfRegistration: true
                  allowAnonymousBrowsing: true
                  active: true
                  sysidForum: 12345
                  name: ...
                  forumMembers:
                    - owner: true
                      sysidForumMember: 12345
                      sysidAccount: 12345
                    - owner: true
                      sysidForumMember: 12345
                      sysidAccount: 12345
            schema:
              $ref: '#/components/schemas/UpdateForumData'
      responses:
        '204':
          content:
            application/json:
              examples:
                example:
                  value:
                    description: ...
                    allowSelfRegistration: true
                    allowAnonymousBrowsing: true
                    active: true
                    sysidForum: 12345
                    name: ...
                    forumMembers:
                      - owner: true
                        sysidForumMember: 12345
                        sysidAccount: 12345
                      - owner: true
                        sysidForumMember: 12345
                        sysidAccount: 12345
              schema:
                $ref: '#/components/schemas/UpdateForumData'
          description: |-
            UpdateForumData value

            com.agilquest.phoenix.shared.data.account.UpdateForumData
components:
  schemas:
    UpdateForumData:
      type: object
      title: UpdateForumData
      required:
        - allowSelfRegistration
        - allowAnonymousBrowsing
        - active
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            description:
              type: string
            allowSelfRegistration:
              type: boolean
            allowAnonymousBrowsing:
              type: boolean
            active:
              type: boolean
            sysidForum:
              type: integer
              format: int32
            name:
              type: string
            forumMembers:
              type: array
              items:
                $ref: '#/components/schemas/ForumMember'
      example:
        description: ...
        allowSelfRegistration: true
        allowAnonymousBrowsing: true
        active: true
        sysidForum: 12345
        name: ...
        forumMembers:
          - owner: true
            sysidForumMember: 12345
            sysidAccount: 12345
          - owner: true
            sysidForumMember: 12345
            sysidAccount: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ForumMember:
      type: object
      title: ForumMember
      required:
        - owner
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            owner:
              type: boolean
            sysidForumMember:
              type: integer
              format: int32
            sysidAccount:
              type: integer
              format: int32
      example:
        owner: true
        sysidForumMember: 12345
        sysidAccount: 12345

````